Bug 64102 - Please add missed translated Chinese "Tools"
Summary: Please add missed translated Chinese "Tools"
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: Nightly (Please specify date)
Hardware: All All
: P2 minor (vote)
Target Milestone: JMETER_5.3.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2020-01-27 13:03 UTC by Liu XP
Modified: 2020-03-15 14:38 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liu XP 2020-01-27 13:03:33 UTC
src/core/src/main/resources/org/apache/jmeter/resources/messages_zh_CN.properties
tools=工具

Refer info:
https://github.com/liuxp2003/JMeter/commit/73b05ab2f9589b8ae5d39902ddf41453fbadf5e2
Comment 1 Felix Schumacher 2020-01-27 20:54:23 UTC
Thanks for the report and the patch.

@Liu Could you check, if I inserted the correct word at the right place in the next nightly? You can close the bug, if it is correct.

commit ba3291e607294e9db6a0cf338e1f154b6c325c92
AuthorDate: Mon Jan 27 21:49:12 2020 +0100

    Add Chinese translation for Tools menu
    
    Contributed by Liu XP
    Bugzilla Id: 64102
---
 .../resources/org/apache/jmeter/resources/messages_zh_CN.properties     | 1 +
 xdocs/changes.xml                                                       | 2 ++
 2 files changed, 3 insertions(+)
Comment 2 Liu XP 2020-01-30 02:35:18 UTC
Okay I will verify it when nightbuild successed.
BTW, I suggest adding -Dfile.encoding=UTF-8 option.(I got "javadoc: error - cannot read Input length = 1" issue without this option.)

Failed task:
https://github.com/liuxp2003/JMeter/runs/413427800

successed task:
https://github.com/liuxp2003/JMeter/runs/414284282
Comment 3 Philippe Mouawad 2020-02-15 11:01:35 UTC
(In reply to Liu XP from comment #2)
> Okay I will verify it when nightbuild successed.
> BTW, I suggest adding -Dfile.encoding=UTF-8 option.(I got "javadoc: error -
> cannot read Input length = 1" issue without this option.)
> 
> Failed task:
> https://github.com/liuxp2003/JMeter/runs/413427800
> 
> successed task:
> https://github.com/liuxp2003/JMeter/runs/414284282

Hello Liu,
Can you open another bug for this error giving more details on what you do please ?
I got "javadoc: error -
> cannot read Input length = 1" issue without this option.)
>
Comment 4 Liu XP 2020-02-23 09:58:58 UTC
Verified with latest night build.